TITLE = "TOOLBOX v1.3"

--dofile("dawnbringer_lib.lua") 

-- Once the library is loaded, the individual scripts will work without loading it themselves
dofile("../libs/dawnbringer_lib.lua")

function sf_brush()
  selectbox("Brush",
    ">RECURSE", sf_brush,
-- if you comment out the following line, doing the BRUSH, Back, Quit sequence will not crash. Otherwise, it will.
    ">RECURSE2", sf_brush,
    "Brush Info (t)",          function () dofile("inf_db_BrushInfo.lua"); end,
    "Crop margins (b)",        function () dofile("bru_db_CropMargins.lua"); end,
    "Brush 2 Image (i)",       function () dofile("pic_db_Brush2Picture.lua"); end,
    "Scale Simple (b)",        function () dofile("bru_db_BrushScaleSimple.lua"); end,
    "Scale Advanced (b)",      function () dofile("bru_db_AdvancedScaling.lua"); end,
    "Extract PenColor (b)",    function () dofile("bru_db_ExtractPenColor.lua"); end,
    "Apply PenColor (b)",      function () dofile("bru_db_ApplyColor.lua");end,
    "Smart Outline WIP (b)",   function () dofile("bru_db_smartOutline.lua");end,
    "[Back]", main
 );
end
-- brush

function _quit()
 -- nada
end

function _back(caller)
 --caller()
end

function main()
selectbox(TITLE, 
  ">BRUSH", sf_brush,
  "[Quit]", _quit
 
);
end

main()
